#!/bin/sh
# http://www.mega-nerd.com/SRC/
# Requirements: libsndfile, libFLAC, libogg
# script: til <rob DOT til DOT freedman AT googlemail DOT com>
CWD=$(pwd)
set -e -u -x

name=libsamplerate
version=0.1.7

build=${build:-'60.1'}
arch=${arch:-i686}
cpu=pentium-m
cpu=${cpu:-i686}

TMP=${TMP:-$CWD/tmp}
pkgname=$name-$version
package=$pkgname-$arch-$build
#
PKG_DEP="flac,libogg,libsndfile"
PKG_SRC="http://www.mega-nerd.com/SRC/$pkgname.tar.gz
http://zenwalk.pinguix.com/user-accounts/tilderb/extra/l/build-libsamplerate.sh"
#
# check source exists
for url in $PKG_SRC;do [ ! -e ${url##*/} ] && wget -N -c $url; done

PKG=$TMP/$package
SRC=$TMP/$pkgname

[ -d $SRC ] && rm -fr $SRC
[ -d $PKG ] && rm -fr $PKG

# prepare build directory
mkdir -p $SRC $PKG/{install,usr/{src,doc}/$pkgname}

tar xf $CWD/$pkgname.tar.gz --strip-components=1 -C $SRC
cd $SRC
#./configure --help

CFLAGS="-O2 -march=$arch -mtune=$cpu" \
./configure \
  --prefix=/usr
#  --disable-static

make || exit 1
make check || exit 1
make install DESTDIR=$PKG

cp README AUTHORS COPYING INSTALL ChangeLog NEWS  $PKG/usr/doc/$pkgname
cd doc
cp SRC.css SRC.png *.html $PKG/usr/doc/$pkgname
#
find $PKG | xargs file | grep "executable" | grep ELF | cut -s -f 1 -d : |\
  xargs -r strip --strip-unneeded 2> /dev/null

find $PKG | xargs file | grep "shared object" | grep ELF | cut -s -f 1 -d : |\
  xargs -r strip --strip-unneeded 2> /dev/null

find $PKG | xargs file | grep "current ar archive" | cut -s -f 1 -d : |\
  xargs -r strip -g 2> /dev/null
#
#            |-----handy-ruler--------------------------------------------------------|
cat << EOF > $PKG/install/slack-desc
libsamplerate: Secret Rabbit Code (aka libsamplerate)
libsamplerate:
libsamplerate: SRC is capable of arbitrary and time varying conversions;
libsamplerate: from downsampling by a factor of 12 to upsampling by the same factor.
libsamplerate:
libsamplerate: Arbitrary in this case means that the ratio of input and output sample
libsamplerate: rates can be an irrational number.
libsamplerate:
libsamplerate:
libsamplerate:
libsamplerate:
EOF
#
cp $CWD/build-libsamplerate.sh $PKG/usr/src/$pkgname

cd $PKG
rootworker=$(which fakeroot 2>/dev/null) || { [ "$UID" != "0" ] && { echo "need fakeroot"; exit 1; } }
$rootworker /sbin/makepkg -l y -c n $CWD/$package.tgz

cd $CWD
#requiredbuilder -z $PKG
echo $PKG_DEP >$package.dep
echo "$PKG_SRC" >$package.src
md5sum $package.tgz >$package.md5

